Template

Retrieves a Template resource.

Retrieves a Template resource.

GET/api/templates/{id}

Authorizations

X-AUTH-TOKEN
stringheaderrequired

Value for the X-AUTH-TOKEN header parameter.

Path Parameters

id
stringrequired

Template identifier

Response

200application/json

Template resource

id
integer

Identifier generated by Output.Rocks.

Example: 12345

identifier
stringrequired

Unique identifier to be used for mappings

Example: "my_template_document"

description
string

Template description / title. <<>>-Syntax can be used for dynamical generation.

Example: "Invoice for contract <<contract.number>>"

comment
string

Comments and notes

Example: "This is a special template"

fileName
string

Target file name without extension <<>>-Syntax can be used for dynamical generation.

Example: "invoice_<<contract.number>>"

color
string

HTML color code to be used on Dashboard-charts and statistics.

Example: "#083E5D"

maxPageAmount
integer

Maximum expected pages amount in rendered documents. Documents with page amount > limit will be marked and displayed on Dashboard.

Example: 10

xmlContent
string | null

Normalized OpenXML package content extracted from the uploaded DOCX template.

maxBlockedAmount
integer

Maximum amount of accepted errors. Template will be paused in case of reaching this limit

Example: 10

paused
boolean

Paused flag. Default: false

Available options: truefalse

Example: false

customId
string

Optional value in <<>>-Syntax to be extracted and stored on each rendered document.

Example: "<<contract.number>>"

legacy
boolean

Legacy flag. To be used only on systems with activated legacy module. Default: false

Available options: truefalse

Example: false

chartIdentifiers
string[]

Identifier list of charts, used in current template

Example: ["consumption","balance"]

validatorIdentifiers
string[]

Identifier list of validators, to be executed on current template

Example: ["address_validator","product_validator"]

qrCodeIdentifiers
string[]

Identifier list of QR-Code definitions, to be used on current template

Example: ["myqrcode"]

file
string<binary>

base64 encoded file

Example: "data:application/docx;base64,UEsDBBQABg..."

createdBy
string

User, created this entry

Example: "user1@company.com"

updatedBy
string

User, updated this entry

Example: "user1@company.com"

createdAt
string<date-time>

UTC date time of entry creation

Example: "2024-08-23T00:00:00+00:00"

updatedAt
string<date-time>

UTC date time of last entry update

Example: "2024-08-23T00:00:00+00:00"

active
boolean

Active flag. Default: true

Available options: truefalse

Example: true

activeFrom
string<date-time>

Date to activate the entry. Default: today

Example: "2024-01-01"

groupIdentifier
string

Optional group identifier to be used with group conditions

Example: "my_group"

groupCondition
string

Group condition.

Example: "data['contract']['balance'] > 0"